echo off
cls
@if /I "%PROCESSOR_ARCHITECTURE%" == "AMD64" (
  echo Installing driver from 64-bit installer on 64-bit OS
  dpinst-amd64.exe /lm
) else if /I "%PROCESSOR_ARCHITECTURE%" == "x86" (
  @if /I "%PROCESSOR_ARCHITEW6432%" == "AMD64" (
    echo Installing driver from 32-bit installer on 64-bit OS - WOW64
    dpinst-amd64.exe /lm
  ) else (
    echo Installing driver from 32-bit installer on 32-bit OS
    dpinst-x86.exe /lm
  )
)
